/* Intro */
/* Intro Text */
div[oke-quiz][oke-channel-quiz-id='a17ff01d-e15a-44bf-8678-6fe45b1e2b2e'] .okeConnect.okeQuizzes.okeQuiz {

    /* Intro */
    .c-startPanel {
        max-width: 516px;
        padding: 48px;
    }

    .c-startPanel-title {
        line-height: 120%;
        width: 100%;
    }

    .c-startPanel-subtitle {
        line-height: 120%;
        margin: 12px 0 32px;
        width: 100%;
    }

    .c-questionNavigationButtons {
        border-width: 0;
        display: flex;
        padding: 0;
        flex-flow: column wrap;
    }

    .l-button-center--showBackButton.c-questionNavigationButtons--stacked.c-questionNavigationButtons--singleButton.l-button-center.c-questionNavigationButtons.l-button-center--withDivider.l-button-center--withProgressBar.l-button-center--withProgressText {
        gap: 16px;
    }

    .l-button-center--showBackButton.c-questionNavigationButtons--stacked.l-button-center.c-questionNavigationButtons.l-button-center--withDivider.l-button-center--withProgressBar.l-button-center--withProgressText {
        gap: 16px;
    }

    .c-startPanel-button.c-button {
        background-color: #00ADEF;
        border-radius: 100px;
        color: #fff;
        font-size: 0;
        margin: 0 auto;
        padding: 13px 48px;
        &:hover {
            color: #fff;
        }
    }

    .c-startPanel-button.c-button:after {
        background-image: unset;
        content: "Let's Go";
        font-size: 18px
    }

    /* Questions */
    .c-pageContent .c-questionsForm {
        max-width: 616px;
        padding: 48px;
    }

    .c-questionsForm .c-questions {
        margin-bottom: 32px;
        padding: 0;
    }

    .c-questions-header-title {
        font-size: 20px;
        line-height: 120%;
        margin-bottom: 8px;
    }

    .c-questions-header-subtitle {
        line-height: 120%;
    }

    .c-questions-question {
        margin-top: 32px;
    }

    .c-tagInput-container {
        flex-direction: row;
        gap: 8px;
        width: 100%;
    }

    .c-tagInput-tag {
        flex-basis: 100%;
        padding: 0;
    }

    .c-tagInput-label-image {
        margin: 0;
    }

    .c-tagInput-label {
        gap: 8px;
        margin: 0;
        padding: 16px;
        text-align: center;
        max-width: unset;
        width: 100%;
        &:hover {
            border-color: #00ADEF;
        }
    }

    .c-tagInput-container--tags .c-tagInput-label-text {
        padding: 0;
        text-align: center;
    }

    fieldset[aria-label="What do you want the MOST help with right now?"] .c-tagInput-container--tags .c-tagInput-label-text {
        text-align: left;
    }

    .c-tagInput-container--tags .c-tagInput-label:hover span {
        color: var(--oke-quiz-question-option-hover-text-color);
    }

    .c-tagInput-container--tags .c-tagInput-input:checked+.c-tagInput-label span {
        color: var(--oke-quiz-question-option-selected-text-color);
    }

    /* Error Text */
    .c-questions-error {
        font-size: 12px;
        margin-top: 24px;
    }

    /* Nav */
    .l-button-holder {
        flex-flow: row wrap;
        row-gap: 16px;
        justify-content: unset;
        width: 100%;
    }

    .c-questionNavigationButtons--singleButton .l-button-holder {
        justify-content: center;
    }

    /* Back */
    .c-questionNavigationButtons-left {
        flex-grow: unset;
        order: 2;
    }

    /* Single Button Only */
    .c-questionNavigationButtons--singleButton .c-questionNavigationButtons-left {
        justify-self: right;
        flex-grow: unset;
    }

    .c-questionsForm .c-button {
        background-color: var(--oke-quiz-button-background-color);
        border: 0;
        box-shadow: none;
        color: var(--oke-quiz-button-font-text-color);
        display: inline-flex;
        flex-wrap: nowrap;
        align-items: center;
        gap: 8px;
        max-height: 48px;
        padding: 0;
        justify-content: center;
        align-content: center;
        flex-direction: row;
    }

    /* Button States Removed */
    .c-questionsForm .c-button:hover,
    .c-questionsForm .c-button:focus-visible,
    .c-questionsForm .c-button:active {
        background-color: var(--oke-quiz-button-hover-background-color);
        border-color: var(--oke-quiz-button-border);
        box-shadow: unset;
        color: var(--oke-quiz-button-hover-text-color);
    }

    .c-questionsForm-back.c-button:before,
    .c-questionsForm-next.c-button:after {
        background-image: url("data:image/svg+xml,%3Csvg width='8' height='15' viewBox='0 0 8 15' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M7 1.13867L1 7.13867L7 13.1387' stroke='%2300413F' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
        background-repeat: no-repeat;
        background-size: 100%;
        content: '';
        display: inline-block;
        margin-right: 6px;
        position: relative;
        top: 1px;
        width: 6px;
        height: 12px;
    }

    .c-questionsForm-next.c-button:after {
        transform: rotate(180deg);
        margin-left: 6px;
        margin-right: 0;
        position: relative;
        top: 0;
    }
    
    /* Next */
    .c-questionNavigationButtons-right {
        display: inline-block;
        flex-grow: unset;
        margin: 0 0 0 auto;
        order: 3;
        width: 100%;
    }

    /* Progress Bar */
    .c-questionNavigationButtons-content--between {
        flex-basis: 100%;
        margin-top: 8px;
        order: 1;
        width: 100%;
    }

    .c-progressBar-progress {
        background: #03ACF0;
        background: -webkit-linear-gradient(90deg, rgba(3, 172, 240, 1) 0%, rgba(127, 72, 176, 1) 50%, rgba(217, 50, 136, 1) 100%);
        background: -moz-linear-gradient(90deg, rgba(3, 172, 240, 1) 0%, rgba(127, 72, 176, 1) 50%, rgba(217, 50, 136, 1) 100%);
        background: linear-gradient(90deg, rgba(3, 172, 240, 1) 0%, rgba(127, 72, 176, 1) 50%, rgba(217, 50, 136, 1) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#03ACF0", endColorstr="#D93288", GradientType=1);
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
    }

    /* Progress Bar - Mobile */
    .c-questionNavigationButtons-content.c-questionNavigationButtons-content--below {
        order: -1;
        margin-top: 0;
        width: 100%;
    }

    .c-progressBar:not(.c-progressBar--bar-long) {
        border: 0;
        height: 8px;
        width: 100%;
        max-width: 520px;
        margin-bottom: 8px;
        margin-top: 0;
    }

    .c-progressText {
        font-size: 14px;
        line-height: 120%;
        margin-bottom: 0;
    }

    /* Q: Email */
    .c-input {
        display: block;
        margin: 0 auto;
        max-width: 520px;
    }

    .c-checkbox {
        margin-top: 24px;
    }

    .c-checkbox-inner,
    .c-checkbox-bg,
    .c-checkbox-check {
        border-radius: 0;
        width: 16px;
        height: 16px;
    }

    .c-checkbox-input:checked~.c-checkbox-bg {
        --oke-quiz-button-background-color: #c8b7ff;
    }

    .c-terms {
        font-size: 12px;
        margin: 0 auto 32px;
        padding: 0;
    }

    .c-terms a {
        text-decoration: underline;
    }

    .c-questionsForm-next--email.c-questionsForm-next.c-button {
        font-size: 0;
    }

    .c-questionsForm-next--email.c-questionsForm-next.c-button:before {
        content: 'Next';
        display: contents;
        font-size: var(--oke-quiz-button-font-size);
    }

    @media all and (min-width: 769px) {
        .c-startPanel-title {
            font-size: 32px;
        }

        .c-questionsForm .c-questions {
            margin-bottom: 40px;
        }

        .c-questions-question {
            margin-top: 40px;
        }

        .c-questions-header-title {
            font-size: 24px;
        }

        .c-tagInput-tag {
            flex-basis: 49%;
            padding: 0;
        }

        fieldset[aria-label="How simple do you want to keep things?"] .c-tagInput-tag {
            flex-basis: 100%;
        }

        .c-questionNavigationButtons {
            align-items: center;
            gap: 8px;
        }

        .c-terms {
            font-size: 12px;
            margin: 0 auto 40px;
            /* padding: 0; */
        }

    }

    @media all and (max-width: 470px) {
        .c-header-image {
            height: 250px !important;
            object-position: 0 -30px;
        }
    }
}

/* Recommendations / Result Page */
div[oke-quiz][oke-channel-quiz-id='a17ff01d-e15a-44bf-8678-6fe45b1e2b2e'] .okeConnect.okeQuizzes.okeQuiz {

    .c-icon.c-resultButton-icon {
        display: none;
    }

    .c-resultBlock-title.c-title {
        line-height: 120%;
        margin-bottom: 8px;
    }

    .l-products {
        gap: 12px;
        margin: 32px 0;
    }

    .l-productRow--grid.l-productRow {
        padding-bottom: 32px;
    }

    .l-productRow--grid.l-productRow:last-of-type {
        border-bottom: 1px solid #C3CFD9;
    }

    .l-productRow-item {
        max-width: 382px;
    }

    .c-recommendedProduct-image {
        background-color: transparent;
    }

    .c-recommendedProduct-detail {
        gap: 24px;
        padding-left: 0;
        padding-right: 0;
    }

    .c-recommendedProduct-nameAndPrice {
        gap: 4px;
        margin-top: 32px;
    }

    .c-recommendedProduct .c-recommendedProduct-name {
        font-size: 20px;
        line-height: 120%;
        margin: 0;
    }

    .c-recommendedProduct .c-recommendedProduct-price {
        font-size: 14px;
        line-height: 120%;
        margin: 0;
    }

    .c-recommendedProduct-rating {
        margin-top: 20px;
    }

    .c-resultProductRating {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        align-items: center;
        gap: 8px;
        justify-content: center;
    }

    .c-resultProductRating-reviewsCount {
        display: inline;
        font-size: 14px;
        line-height: 120%;
        margin: 1px 0 0;
    }

    .c-recommendedProduct-description {
        margin-top: 16px;
    }

    .c-variantSelector-optionList {
        margin-bottom: 0;
    }

    .c-recommendedProduct-sellingPlans-planGroups label {
        border-color: #C3CFD9;
        font-weight: 400;
        
        &:first-child,
        &:last-child {
            border-radius: 5px;
        }

        &:first-child {
            border-bottom: 1px solid #C3CFD9;
        }

        &:has(input[type=radio]:checked) {
            background: linear-gradient(270deg, #ECF8FD 0%, #FEECF6 100%);
            border-color: #03ACF0;
        }
    }

    .c-recommendedProduct-sellingPlanSelector-name {
        font-size: 14px;
        font-weight: 600;
    }

    .c-recommendedProduct--grid .c-recommendedProduct-sellingPlanSelector-opener {
        margin-top: 16px;
    }

    .c-select {
        border-color: #C3CFD9;
        border-radius: 5px;
    }

    .c-recommendedProduct-variantSelector-opener .c-select[disabled] {
        background-image: url("data:image/svg+xml,%3Csvg width='13' height='7' viewBox='0 0 13 7' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M12.5 0.5L6.5 6.5L0.5 0.5' stroke='black' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
        background-size: 12px;
    }
    
    .c-recommendedProduct-sellingPlans-planGroups-options {
        display: flex;
        flex-flow: row wrap;
        gap: 8px;
    }

    .c-resultPanel-section:not(.c-resultPanel-footer) {
        border-width: 0;
        padding: 48px 24px 16px;
    }

    .c-resultBlock--compact {
        padding: 0;
    }

    .c-resultPanel-section {
        padding-top: 0;
    }

    .c-resultPanel-section .c-recommendedProduct-ctas {
        margin-top: auto;
        margin-bottom: 0;
        width: 100%;
    }

    .c-resultPanel-section .c-button {
        font-weight: 400;
        max-height: 48px;
        padding: 16px 16px;
        max-width: 382px;
        width: 100% !important;
    }

    .c-resultPanel-section .c-recommendedProduct-ctas .c-button {
        max-width: unset;
    }

    @media all and (min-width: 769px) {
        .c-resultBlock-title.c-title {
            font-size: 40px;
        }

        .l-products {
            gap: 32px;
            margin: 48px 0;
        }

        .l-productRow--grid.l-productRow {
            padding-bottom: 48px;
        }
    }

    @media all and (min-width: 450px) {
        .l-productRow {
            flex-direction: row;
        }
    }

    @media all and (max-width: 450px) {
        .l-productRow-item {
            max-width: unset;
            width: 100% !important;
        }
    }
}

div[oke-quiz][oke-channel-quiz-id='a17ff01d-e15a-44bf-8678-6fe45b1e2b2e'] .okeConnect.okeQuizzes.okeQuiz {
    .c-resultBlock-coupon {
        border-radius: 10px;
        background: linear-gradient(270deg, #ECF8FD 0%, #FEECF6 100%);
        margin: 32px auto;
        max-width: 1144px;
        padding: 48px 24px;

        .c-coupon-reward-code--clipboardAvailable.c-coupon-reward-code {
            background-color: #fff;
            border: 0;
            border-radius: 100px;
            margin-bottom: 24px;
        }

        .c-coupon-panel {
            margin-top: 0;

            .c-coupon-reward-title {
                font-size: 24px;
                line-height: 120%;
                margin: 0 auto 24px;
                padding: 0;
            }
        }

        label[for="addEmail"] {
            font-size: 14px;
            font-weight: 400;
            line-height: 120%;
            margin-bottom: 24px;
        }

        .c-coupon-reward-obscured-coupon {
            border-radius: 100px;
            border-width: 0;
            font-size: 14px;
        }

        .c-coupon-reward-obscured {
            max-width: 159px;
            height: 48px;
            
            svg {
                display: none;
            }

            &:after {
                border-radius: 100px;
                content: url("data:image/svg+xml,%3Csvg width='116' height='48' viewBox='0 0 116 48' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M91.2842 0C104.539 0 115.284 10.7452 115.284 24C115.284 37.2548 104.539 48 91.2842 48H0L16.1523 0H91.2842Z' fill='url(%23paint0_linear_93_284)'/%3E%3Cdefs%3E%3ClinearGradient id='paint0_linear_93_284' x1='0' y1='24' x2='115.284' y2='24' gradientUnits='userSpaceOnUse'%3E%3Cstop stop-color='%2303ACF0'/%3E%3Cstop offset='0.5' stop-color='%237F48B0'/%3E%3Cstop offset='1' stop-color='%23D93288'/%3E%3C/linearGradient%3E%3C/defs%3E%3C/svg%3E%0A");
                display: inline-block;
                height: 48px;
                width: auto;
                max-width: none;
                position: absolute;
                right: 0;
                top: 0;
            }
        }
        
        .c-submitEmail-inputs {
            background-color: #fff;
            border-radius: 100px;
            display: flex;
            margin: 0 auto;
            max-width: 464px;
            padding: 12px;
            width: 100%;
            justify-content: center;
            align-items: center;
            
            .c-input {
                border-width: 0;
                margin: 0;

                &:focus {
                    border-width: 0;
                    box-shadow: none;
                }
            }
        }

        .c-submitEmail-inputs-button {
            position: relative;
            background-color: #00adef;
            border-radius: 100px;
            content: url("data:image/svg+xml,%3Csvg width='17' height='15' viewBox='0 0 17 15' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M9.73944 14.0211L16.5 7.26056L9.73944 0.5M16.5 7.26056L0.5 7.26056' stroke='white' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
            margin-top: 0;
            padding: 16px;
            max-height: 48px;
            width: 96px !important;
        }
    }

    @media all and (min-width: 769px) {
        .c-resultBlock-coupon {
            margin: 48px auto;
        }
        
        .c-coupon-reward-title {
            font-size: 40px;
        }

        label[for="addEmail"] {
            font-size: 20px;
        }
    }
}

/* 
[oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect .c-resultBlock-coupon.u-content--centered {
    background: linear-gradient(270deg, #ECF8FD 0%, #FEECF6 100%);
    padding-top: 48px;
    padding-bottom: 48px;
    max-width: 1200px;
    border-radius: 12px;
}

[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect .c-coupon-reward-title {
    font-size: 40px;
}

[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect .c-coupon-reward-code {
    border: 0;
    border-radius: 100px;
    padding: 15.5px 24px;
    max-width: fit-content;
    background-color: #fff;
    margin-bottom: 24px;
    margin-top: 24px;
}

[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect .c-coupon-reward-obscured::after {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(
        90deg,
        rgba(3, 172, 240, 1),
        rgba(217, 50, 136, 1) 100%
    );
    border-radius: 100px 100px 100px 0;
    width: 70%;
    left: 29%;
    clip-path: polygon(
        18% -5%,
        100% 0%,
        100% 100%,
        0% 100%
    );
}

[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect .c-coupon-reward-obscured svg {
    opacity: 0;
}

[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect .c-coupon-reward-obscured {
    position: relative;
}

[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect input#addEmail {
    border: 0;
    padding: 35px;
}

[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect .c-submitEmail label.u-fontSize--large.u-fontWeight--semibold.u-marginBottom--4 {
    font-weight: 400;
    margin-bottom: 24px;
}

[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect.okeQuizzes.okeQuiz button.c-submitEmail-inputs-button.c-button {
    width: 100px !important;
    background-color: #00ADEF;
    border-radius: 100px;
    left: 62%;
    top: 11px;
    color: #fff;
    background-image: url('data:image/svg+xml,<svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M17.2394 22.5211L24 15.7606L17.2394 9M24 15.7606L8 15.7606" stroke="white" stroke-linecap="round" stroke-linejoin="round"/></svg>');
    background-repeat: no-repeat;
    background-position: center;
    font-size: 0;
}

[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect .c-coupon-reward-title {
    font-size: 40px;
    margin-bottom: 24px;
}

[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect .c-coupon-reward-obscured-coupon {
    border: 0;
    background: #fff;
    border-radius: 100px;
}

@media all and (max-width: 850px) {
    [oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect.okeQuizzes.okeQuiz button.c-submitEmail-inputs-button.c-button {
        left: 67%;
    }
}

@media all and (max-width: 570px) {
    [oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect.okeQuizzes.okeQuiz button.c-submitEmail-inputs-button.c-button {
        left: 77%;
    }
}

@media all and (max-width: 400px) {
    [oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect.okeQuizzes.okeQuiz button.c-submitEmail-inputs-button.c-button {
        top: 0;
        left: 69%;
        width: 70px !important;
    }
} */

div[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect.okeQuizzes.okeQuiz .c-coupon-panel:has(.c-coupon-reward-description) {
    position: relative;
}

div[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect.okeQuizzes.okeQuiz .c-coupon-panel:has(.c-coupon-reward-description)::after {
    content: "Coupon code: HELLO10";
    font-weight: bold;
    color: #000;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    background-color: #fff;
    padding: 18px;
    border-radius: 100px;
    top: 42px;
}

div[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect.okeQuizzes.okeQuiz .c-coupon-panel:has(.c-coupon-reward-description) .c-coupon-reward-title {
    margin-bottom: 80px;
}

div[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect.okeQuizzes.okeQuiz .c-coupon-reward-code--clipboardAvailable.c-coupon-reward-code {
    display: none;
}

div[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect.okeQuizzes.okeQuiz .c-coupon-panel:has(.c-coupon-reward-description) ~ .c-submitEmail p:nth-child(2) {
    display: none;
}

div[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect.okeQuizzes.okeQuiz .c-coupon-panel:has(.c-coupon-reward-description) .c-coupon-reward-description {
    display: none;
}

@media all and (max-width: 411px) {
div[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect.okeQuizzes.okeQuiz .c-coupon-panel:has(.c-coupon-reward-description)::after {
top: 68px;
}
}

@media all and (max-width: 367px) {
div[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect.okeQuizzes.okeQuiz .c-coupon-panel:has(.c-coupon-reward-description)::after {
font-size: 12px;
}
}

@media all and (max-width: 513px) {
div[oke-quiz][oke-channel-quiz-id="a17ff01d-e15a-44bf-8678-6fe45b1e2b2e"] .okeConnect.okeQuizzes.okeQuiz .c-coupon-panel:has(.c-coupon-reward-description)::after {
font-size: 14px;
padding: 14px;
}
}